Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoStParseTreeDepthInit< FType, Node > Class Template Reference
[StParseTree]

eoStParseTreeDepthInit : the initializer class for strongly typed tree-based genetic programming More...

`#include <gp/eoStParseTreeDepthInit.h>`

Inheritance diagram for eoStParseTreeDepthInit< FType, Node >:

List of all members.

## Public Types
typedef eoParseTree< FType, Node > | EoType
## Public Member Functions
| eoStParseTreeDepthInit (unsigned _max_depth, const std::vector< Node > &_node, const int &_return_type, bool _grow=true)
| Constructor.
virtual std::string | className () const
| My class name.
void | operator() (EoType &_tree)
| initialize a tree
## Private Member Functions
bool | generate (std::list< Node > &sequence, int the_max, int request_type)
## Private Attributes
unsigned | max_depth
map< int, map< int, std::vector< Node > > > | node
int | return_type
bool | grow

## Detailed Description

### template<class FType, class Node>
class eoStParseTreeDepthInit< FType, Node >

eoStParseTreeDepthInit : the initializer class for strongly typed tree-based genetic programming

Definition at line 61 of file eoStParseTreeDepthInit.h.

## Constructor & Destructor Documentation

template<class FType, class Node>
eoStParseTreeDepthInit< FType, Node >::eoStParseTreeDepthInit | ( | unsigned | _max_depth,
|  | const std::vector< Node > & | _node,
|  | const int & | _return_type,
|  | bool | _grow = `true`
| ) | `[inline]`

  | Constructor. _max_depth The maximum depth of a tree Parameters:
  | _initializor | A std::vector containing the possible nodes
  | _grow | False results in a full tree, True result is a randomly grown tree
Definition at line 73 of file eoStParseTreeDepthInit.h.

## Member Function Documentation

template<class FType, class Node>
void eoStParseTreeDepthInit< FType, Node >::operator() | ( | EoType & | _tree | ) | `[inline]`

  | initialize a tree Parameters:
  | _tree | : the tree to be initialized
Definition at line 125 of file eoStParseTreeDepthInit.h.

The documentation for this class was generated from the following file:

- eoStParseTreeDepthInit.h